Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class XMLFactory

    java.lang.Object
      org.deegree.model.filterencoding.XMLFactory

    public class XMLFactory

extends Object

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`XMLFactory()`

Method Summary
`static void` | `appendFilter(Element root, Filter filter)` Appends the DOM representation of the given `Filter`- section to the passed `Element`.
`static void` | `appendFilterCapabilities100(Element root, FilterCapabilities filterCapabilities)` Appends the DOM representation of the `FilterCapabilities` to the passed `Element`.
`static void` | `appendFilterCapabilities110(Element root, FilterCapabilities filterCapabilities)` Appends the DOM representation of the `FilterCapabilities` to the passed `Element`.
`static void` | `appendGeometryOperands(Element root, QualifiedName[] geometryOperands)` Appends the DOM representation of the `SpatialCapabilities` to the passed `Element`.
`static void` | `appendIdCapabilities110(Element root, IdCapabilities idCapabilities)` Appends the DOM representation of the `IdCapabilities` to the passed `Element`.
`static void` | `appendScalarCapabilities110(Element root, ScalarCapabilities scalarCapabilities)` Appends the DOM representation of the `ScalarCapabilities` to the passed `Element`.
`static void` | `appendSpatialCapabilities110(Element root, SpatialCapabilities spatialCapabilities)` Appends the DOM representation of the `SpatialCapabilities` to the passed `Element`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### appendFilterCapabilities100

    public static void appendFilterCapabilities100(Element root,
                                                   FilterCapabilities filterCapabilities)

  Appends the DOM representation of the `FilterCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.0.0`.

  Parameters:
    `root` -
    `filterCapabilities` -

### appendFilterCapabilities110

    public static void appendFilterCapabilities110(Element root,
                                                   FilterCapabilities filterCapabilities)

  Appends the DOM representation of the `FilterCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.1.0`.

  Parameters:
    `root` -
    `filterCapabilities` -

### appendSpatialCapabilities110

    public static void appendSpatialCapabilities110(Element root,
                                                    SpatialCapabilities spatialCapabilities)

  Appends the DOM representation of the `SpatialCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.1.0`.

  Parameters:
    `root` -
    `spatialCapabilities` -

### appendGeometryOperands

    public static void appendGeometryOperands(Element root,
                                              QualifiedName[] geometryOperands)

  Appends the DOM representation of the `SpatialCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.1.0`.

  Parameters:
    `root` -
    `geometryOperands` -

### appendScalarCapabilities110

    public static void appendScalarCapabilities110(Element root,
                                                   ScalarCapabilities scalarCapabilities)

  Appends the DOM representation of the `ScalarCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.1.0`.

  Parameters:
    `root` -
    `scalarCapabilities` -

### appendIdCapabilities110

    public static void appendIdCapabilities110(Element root,
                                               IdCapabilities idCapabilities)

  Appends the DOM representation of the `IdCapabilities` to the passed `Element`. Generated DOM structure fulfills `Filter Encoding Specification 1.1.0`.

  Parameters:
    `root` -
    `idCapabilities` -

### appendFilter

    public static void appendFilter(Element root,
                                    Filter filter)
                             throws XMLException

  Appends the DOM representation of the given `Filter`- section to the passed `Element`. TODO: Append the DOM-structure "node by node".

  Parameters:
    `root` -
    `filter` - must not be null
  Throws:
    `XMLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org